1. DarkFlare69

    OP DarkFlare69 GBAtemp Psycho!
    Member

    Joined:
    Dec 8, 2014
    Messages:
    4,998
    Country:
    United States
    Okay so since the compatibility problem with CTGP-7 has gotten so bad, I'm going to leave this post here and no longer provide support regarding this topic. I receive complaints on a daily basis, whether that be by email, Discord, YouTube, or on this thread, regarding the "outdated plugin file" error. These two projects are not affiliated with each other. From what I can tell, it seems that the CTGP-7 plugin was developed without regard for other plugins, even for completely different games, and therefore will not allow you to load any plugin other than the official CTGP-7 plugin on any game, including Mario Kart 7 and including my plugin.

    There is nothing outdated about this plugin. When you use CTGP-7, it replaces the boot.firm on your SD Card. It seems almost nobody is aware of this, so I'm going to make it clear now. When the error screen is referring to an "outdated plugin file," it is actually checking whatever plugin it's attempting to load against the latest CTGP-7 plugin, which obviously nothing will match other than the official plugin they released. You're getting this error because Luma isn't actually using the official boot.firm file or the modified 9.1 file (either will work with my plugin).

    Solution #1: On the previous page. Chainload the Ctgp-7 boot.firm so that it only uses it when you want to.

    Solution #2: Replace the modified CTGP-7 boot.firm with the original one every you use it.

    Please share this post with anyone who is still having the "outdated plugin file" error. This has by far been the biggest complaint/problem that the plugin has ever had.
     
    Last edited by DarkFlare69, Jan 21, 2020
    CymraegAce, NintendoGamer28 and am714 like this.
  2. DarkFlare69

    OP DarkFlare69 GBAtemp Psycho!
    Member

    Joined:
    Dec 8, 2014
    Messages:
    4,998
    Country:
    United States
    New minor update 3.8.2 is out. This update was made with o3DS users in mind.

    Changelog:
    -Much more memory efficient
    -Cleaned up other parts of the code to also try and make it run better for o3DS users

    The menu will still lag a little bit for o3ds users (that's inevitable with such a large plugin) but all of the codes should be accessible with patience. When scrolling up or down, don't keep spamming the up/down button, do it slowly and deliberately. Using that method I was able to activate all the codes without much of a problem. Outside of the menu, they all should run completely fine together and not cause any lag or other problems.

    Download here: https://github.com/DarkFlare69/MK7-Online-NTR-Plugin-v3/raw/master/MarioKart7.3gx
     
    CymraegAce likes this.
  3. Mike9090

    Mike9090 Member
    Newcomer

    Joined:
    Jul 8, 2019
    Messages:
    30
    Country:
    Netherlands
    The cheats don't freeze anymore but some cheats require you to use start or select but they both pause your game so it's impossible to use them
     
  4. EthanDaHacker

    EthanDaHacker Newbie
    Newcomer

    Joined:
    Aug 18, 2019
    Messages:
    4
    Country:
    United States
    i keep getting an error saying it needs to update the plugin. can you give me the latest 3gx or plg?
     
  5. Mike9090

    Mike9090 Member
    Newcomer

    Joined:
    Jul 8, 2019
    Messages:
    30
    Country:
    Netherlands
    That happened to me too, make sure you are using the right boot.firm
     
  6. DarkFlare69

    OP DarkFlare69 GBAtemp Psycho!
    Member

    Joined:
    Dec 8, 2014
    Messages:
    4,998
    Country:
    United States
    You're not intended to keep the original Select button configuration for the menu. Go into settings and reconfigure the button combination to something you don't ever touch naturally, personally I use ZL on the N3DS since it's not even part of the game at all.
    As for the Start button, yes that can be annoying offline, but this plugin was built mainly for online use.

    Remember everyone, this plugin is completely open source and anyone who has the ability to type basic things can change the button combinations, no programming knowledge is needed at all.
    Wherever you see
    Code:
    if (Controller::IsKeyDown(X))
    or any other button, X is just the example, you can change it very easily to something like
    Code:
    if (Controller::IsKeyDown(DPadLeft))
    As long as you don't touch anything else besides the button in parentheses, you won't break the plugin.



    This should answer your question.
     
    Last edited by DarkFlare69, Feb 28, 2020
    CymraegAce likes this.
  7. Mike9090

    Mike9090 Member
    Newcomer

    Joined:
    Jul 8, 2019
    Messages:
    30
    Country:
    Netherlands
    But the thing is, I have O3DS so I don't have ZL, ZR and the small joystick. and with the cheats I use basically all buttons not that. Is there some way to make the cheat menu show with a combination instead of just select? For example I can set it to L+R+Select or something like that?


    CTGP-7 is coded in a different way which makes it not work on the default plugin loader for reasons I'm not sure of. It'd take long to fix everything so they changed the boot.firm, What I did was I placed a boot.firm that works with CTGP-7, a boot.firm that works with other plugins and the gm9.firm in luma/payloads to select them when holding start on boot, and then you can have the original boot.firm on normal bootup.
     
    DarkFlare69 likes this.
  8. DarkFlare69

    OP DarkFlare69 GBAtemp Psycho!
    Member

    Joined:
    Dec 8, 2014
    Messages:
    4,998
    Country:
    United States
    Yes, you can do any combination of buttons that you want, so L+R+Select will work. Go into the settings from the bottom screen, and then change the hotkey configuration to whatever you want.


    As much as I like the work put into CTGP-7, I wish they would be a little more transparent about some things, and this is one of those things. I have to be the one to clean up their mess and explain to everyone why their plugins are no longer working, even though these problems have nothing at all to do with me or my plugin. Since I am known around the 3DS scene for helping people out, I've had multiple people ask for completely different games why their plugin isn't working, and from my experience 100% of the time you see the "outdated plugin file" error, it's because of CTGP-7.

    You're right, it is coded in a different way. It's using a beta version of CTRPF/Luma from Nanquitas that nobody else has access to. That is a very good solution though.
     
    Last edited by DarkFlare69, Mar 1, 2020
  9. Wolfling

    Wolfling Member
    Newcomer

    Joined:
    Mar 18, 2019
    Messages:
    39
    Country:
    United States
    Is there a code like drop mushrooms but with stars? Would love to use that
     
  10. luksh9090

    luksh9090 Member
    Newcomer

    Joined:
    Jan 6, 2020
    Messages:
    26
    Country:
    United States
    no there is not bro
     
  11. PabloMK7

    PabloMK7 Red Yoshi! ^ω^
    Developer

    Joined:
    Feb 21, 2014
    Messages:
    2,323
    Country:
    Spain
    Transparent in exactly what? The file format is just different, there is nothing else special about it. Every other part of the plugin loader is kept identical to allow simple recompilations once the new plugin loader is ready. (It was meant to be ready last summer, but Nanquitas has dissapeared since then.)
     
  12. DarkFlare69

    OP DarkFlare69 GBAtemp Psycho!
    Member

    Joined:
    Dec 8, 2014
    Messages:
    4,998
    Country:
    United States
    I don't think you're intentionally deceiving people or anything like that, but clearly there is a massive public misunderstanding about the way CTGP-7 changes the boot.firm. Tbh it's getting very annoying having people constantly ask me why they're getting the "outdated plugin file" error whenever they try to use a plugin. I know there isn't any change besides the file format, but that change alone is big enough to cause quite a disturbance. Until Nanquitas officially releases the newest plugin loader (if he ever does), there's no way that me or other developers can make our plugins compatible with the boot.firm that you use, much less compatible+open source. Every time someone uses CTGP-7, they can no longer run any plugins for any game besides CTGP-7. They have to change back to the original boot.firm, and almost nobody knows that because it's not made obvious anywhere. It's caused probably about 100 people (if not slightly more) to contact me in some way, shape, or form regarding it.
     
    Last edited by DarkFlare69, Mar 5, 2020
Loading...

Hide similar threads Similar threads with keywords - [Release], Online, Plugin